# Anselm and Salomon Supercomputers Withdrawal From Service

!!! note
    Content updated on 25.5.2021

Due to installation of the new Karolina supercomputer, the **Anselm supercomputer was withdrawn from service on 25.1.2021**. The Salomon supercomputer may run at reduced capacity as of 1.3.2021. The Barbora and DGX-2 supercomputers continue regular operation.

After nearly 7 years of renowned service for the Anselm supercomputer and 5 years for the Salomon supercomputer, it is time for withdrawal. The computers grew deprecated, space and energy constraints mandate withdrawal from service to make room for the modern Karolina supercomputer. The Karolina is scheduled to fully replace the Anselm and Salomon supercomputers in July 2021.

## Anselm Withdrawal From Service

The Anselm supercomputer was withdrawn from service on 25.1.2021.

### Anselm Future

- The Anselm supercomputer has been moved to [Science and Technology Centre][3], [Dolni Vitkovice Museum][4] to become the part of the permanent exposition there, available for visits.

## Salomon Withdrawal From Service

### Salomon Access and Job Scheduling

!!! important
    From **1.3. to 31.5** Salomon compute capacity may be **temporarily reduced** due to Karolina supercomputer acceptance tests.

- All jobs will be scheduled to finish on **Monday 5.7.2021, 9:00**.
- No new jobs will be accepted to the queue.
- Access to Salomon login nodes and data will be preserved to **1.8.2021, 9:00**.
- The above dates may be shifted to later time, according to the progress of Karolina deployment. Changes will be announced via the MOTD and via this page.

### Salomon Data

!!! warning
    **Do not copy Salomon /scratch/work** to the Barbora /scratch storage for backup!
    Barbora /scratch capacity is limited and is running out.

!!! note
    The **PROJECT** storage is available to hold the /scratch/work data.

- In the period **29.1. to 14.3.2021** the data on /scratch/work/ were **transferred** onto the new **PROJECT** storage **by IT4I**.
- The new PROJECT storage is available starting 15.3.2021.
- After 14.3.2021, users should synchronize any remaining data on /scratch/work/ to the PROJECT storage themselves.
- The data on the Salomon /scratch/work/ will be read-only from **Monday 5.7.2021, 9:00**.
- The data on the Salomon /home and /scratch storage will become permanently inaccessible starting **1.8.2021, 9:00**.
- No backup or data transfer is scheduled for /home or other storages by IT4I, data will be **permanently lost on 1.8.2021, 9:00**.
- Make sure that **you [save all the relevant data][2]** to external resources or to PROJECT storage before  **1.8.2021, 9:00**.
- The above dates may be shifted to later time, according to the progress of Karolina deployment. Changes will be announced via the [MOTD][5] and via this page.

### Salomon Future

- The Salomon supercomputer's future is under negotiation for reuse within the academic domain. More information will be posted here.

[1]: anselm/storage.md#cesnet-data-storage
[2]: salomon/storage.md#cesnet-data-storage
[3]: https://www.dolnivitkovice.cz/en/science-and-technology-centre/
[4]: https://www.dolnivitkovice.cz/en/
[5]: https://www.it4i.cz/pro-uzivatele/message-of-the-day
