# Satisfaction and Feedback

IT4Innovations National Supercomputing Center is interested in [user satisfaction and feedback][1]. It allows us to prioritize and focus on the most pressing issues. With the help of user feedback, we strive to provide smooth and productive environment, where computational tasks may be solved without distraction or annoyance.

## Feedback Form

Please provide us with feedback regarding your satisfaction with our services using [the online form][1]. Set the values and comment on the individual aspects of our services.

We prefer you enter [**new inputs 3 times a year**][1].

You may view your [feedback history][2] any time.
You are welcome to modify your most recent input.

The form inquires about:

- Resource allocation and access
- Computing environment
- Added value services

You may set the satisfaction score on a **scale of 1 to 5** as well as leave **text comments**.
The score is interpreted as follows:

|Value    | Interpretation |
|-----|---|
| 1-2 | Values below 3 indicate a level of dissatisfaction; improvements or other actions are desirable. The values are interpreted as a measure of how deep the dissatisfaction is.|
| 3   | Value 3 indicates a degree of satisfaction. Users are reasonably happy with the environment and services and do not require changes, although there still might be room for improvements. |
| 4-5 | Values above 3 indicate a level of exceptional appreciation and satisfaction; the values are interpreted as a measure of how rewarding the experience is. |

## Feedback Automation

In order to obtain ample feedback data without forcing our users
to spend efforts in filling out the feedback form, we implement automatic data collection.

The automation works as follows:
If the last feedback entry is older than 4 months, a new feedback entry is created as a copy of the last entry.
The new entry is modified in this way:

- score values greater than 3 are decremented by one;
- score values lower than 3 are incremented by one;
- score values equal to 3 are preserved;
- text fields are set blank.

Once a new feedback is created, users are notified by email and invited to [modify the feedback entry][2] as they see fit.

**Rationale:** Feedback automation takes away some effort from a group of moderately satisfied users,
while prompting the users to express satisfaction/dissatisfaction.
We assume that  moderately satisfied users (satisfaction value 3) do not require changes to the environment
and tend to remain moderately satisfied in time.
Further, we assume that satisfied users (values 4-5) develop in time towards moderately satisfied (value 3)
by getting accustomed to the provided standards.
The dissatisfied users (values 1-2) also develop towards moderately satisfied due to
gradual improvements implemented by the IT4I.

## Request Tracker Feedback

Please use the [user satisfaction and feedback][1] form to provide your overall view.
For acute, pressing issues and immediate contact, reach out for support via the [Request tracker portal][3] or [support\[at\]it4i.cz][4] email.

Express your satisfaction with the solution of an individual [Request tracker][3] ticket by selecting **Feedback** menu on the ticket form.

## Evaluation

The user feedback is evaluated 4 times a year, in the end of March, June, September, and December.
We consider the text comments, as well as evaluate the score average, distribution and trends.
This is done in summary as well as per individual category.

[1]: https://scs.it4i.cz/feedbacks/new
[2]: https://scs.it4i.cz/feedbacks/
[3]: https://support.it4i.cz/rt
[4]: mailto:support@it4i.cz
